// <copyright file="FormattingStreamWriterTests.cs" company="PlaceholderCompany">
// Copyright (c) PlaceholderCompany. All rights reserved.
// </copyright>

namespace Jellyfin.Extensions.Tests;

using System.Globalization;
using System.IO;
using System.Text;
using System.Threading;
using Xunit;

public static class FormattingStreamWriterTests
{
#pragma warning disable CA1707 // Identifiers should not contain underscores - xUnit test naming convention
#pragma warning disable IDE0063 // Use simple using statement
    [Fact]
    public static void Shuffle_Valid_Correct()
#pragma warning restore CA1707
#pragma warning restore IDE0063
    {
        Thread.CurrentThread.CurrentCulture = new CultureInfo("de-DE", false);
        using var ms = new MemoryStream();
        using var txt = new FormattingStreamWriter(ms, CultureInfo.InvariantCulture);
        txt.Write("{0}", 3.14159);
        txt.Close();
        Assert.Equal("3.14159", Encoding.UTF8.GetString(ms.ToArray()));
    }
}
